## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCTemporaryTable

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                  org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
                      org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl
                          org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCTemporaryTable

All Implemented Interfaces:
  BaseTable, ICatalogObject, SQLObject, Table, TemporaryTable

public class JDBCTemporaryTable
extends TemporaryTableImpl
implements ICatalogObject

See Also:
  Serialized Form

Constructor Summary
`JDBCTemporaryTable()`

Method Summary
`boolean` `eIsSet(EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`EList` `getColumns()` Returns the value of the 'Columns' containment reference list.
`java.sql.Connection` `getConnection()`
`EList` `getConstraints()` Returns the value of the 'Constraints' containment reference list.
`java.util.List` `getForeignKeys()`
`EList` `getIndex()` Returns the value of the 'Index' reference list.
`PrimaryKey` `getPrimaryKey()`
`Table` `getSupertable()` Returns the value of the 'Supertable' reference.
`java.util.List` `getUniqueConstraints()`
`static void` `loadColumns(java.sql.Connection connection, EList columnList, Table table)` Deprecated.
`static void` `loadIndexes(java.sql.Connection connection, EList indexList, Table table)` Deprecated.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl
`eGet, eIsSet, eSet, eUnset, isDeleteOnCommit, isLocal, setDeleteOnCommit, setLocal, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
`eInverseAdd, eInverseRemove, getReferencingForeignKeys`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, getSchema, getSelfRefColumnGeneration, getSubtables, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getReferencingForeignKeys`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getSchema, getSelfRefColumnGeneration, getSubtables, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCTemporaryTable

    public JDBCTemporaryTable()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getColumns

    public EList getColumns()

  Description copied from interface: `Table`
  Returns the value of the 'Columns' containment reference list. The list contents are of type `Column`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Columns' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getColumns` in interface `Table`
  Overrides:
    `getColumns` in class `TableImpl`

### getPrimaryKey

    public PrimaryKey getPrimaryKey()

  Description copied from interface: `BaseTable`

  Specified by:
    `getPrimaryKey` in interface `BaseTable`
  Overrides:
    `getPrimaryKey` in class `BaseTableImpl`

### getUniqueConstraints

    public java.util.List getUniqueConstraints()

  Description copied from interface: `BaseTable`

  Specified by:
    `getUniqueConstraints` in interface `BaseTable`
  Overrides:
    `getUniqueConstraints` in class `BaseTableImpl`

### getForeignKeys

    public java.util.List getForeignKeys()

  Description copied from interface: `BaseTable`

  Specified by:
    `getForeignKeys` in interface `BaseTable`
  Overrides:
    `getForeignKeys` in class `BaseTableImpl`

### getConstraints

    public EList getConstraints()

  Description copied from interface: `BaseTable`
  Returns the value of the 'Constraints' containment reference list. The list contents are of type `TableConstraint`. It is bidirectional and its opposite is '`Base Table`'.

  If the meaning of the 'Constraints' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getConstraints` in interface `BaseTable`
  Overrides:
    `getConstraints` in class `BaseTableImpl`

### getIndex

    public EList getIndex()

  Description copied from interface: `Table`
  Returns the value of the 'Index' reference list. The list contents are of type `Index`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Index' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getIndex` in interface `Table`
  Overrides:
    `getIndex` in class `TableImpl`

### getSupertable

    public Table getSupertable()

  Description copied from interface: `Table`
  Returns the value of the 'Supertable' reference. It is bidirectional and its opposite is '`Subtables`'.

  If the meaning of the 'Supertable' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getSupertable` in interface `Table`
  Overrides:
    `getSupertable` in class `TableImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `TemporaryTableImpl`

### loadColumns

    public static void loadColumns(java.sql.Connection connection,
                                   EList columnList,
                                   Table table)
                            throws java.sql.SQLException

  Deprecated.

  Throws:
    `java.sql.SQLException`

### loadIndexes

    public static void loadIndexes(java.sql.Connection connection,
                                   EList indexList,
                                   Table table)
                            throws java.sql.SQLException

  Deprecated.

  Throws:
    `java.sql.SQLException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.